### Method

# Camel SaslGssapi override_host_and_user

since: 3.12

#### Declaration [src]

    void
    camel_sasl_gssapi_override_host_and_user (
      CamelSaslGssapi* sasl,
      const gchar* override_host,
      const gchar* override_user
    )

#### Description [src]

Set host and user to use, instead of those in CamelService’s settings. It’s both or none, aka either set both, or the settings values are used. This is used to not require CamelService instance at all.

Available since: 3.12

#### Parameters

`override_host`

  Type: `const gchar*`

  Host name to use during challenge processing; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`override_user`

  Type: `const gchar*`

  User name to use during challenge processing; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.